Jump to content

1-click upgrade pour passer de 1.4 à 1.6


Recommended Posts

Bonjour à tous,

après avoir consulté les nombreux posts sur le forum très utile de prestashop, je viens demander de l'aide à la communauté.

la boutique e-commerce concernée est installée sur prestashop depuis quelques années, et utilise actuellement la version 1.4.7.
Le prestataire veut migrer vers la 1.6 la plus stable possible.

Le module 1-click upgrade en machine est la v1.0.16, et je m’apprête à installer la version à jour v1.3.0-1,
cependant et afin d'eviter toute mauvaise surprise,
j'ai sauvegardé la bdd, les fichiers et images tel que suggéré sur la page du module 1-click dans le backoffice.

Me confirmez-vous qu'il n'y a aucun risque de basculer directement de 1.4.7 à 1.6, j'ai cru comprendre qu'il était préférable de faire 1.4.7=>1.4.11 puis 1.4.11=>1.5 puis 1.5=>1.6

le fait de devoir passer en mode maintenance implique t-il une mise hors ligne obligatoire de la boutique? Impossible de laisser l'accès au v1.4.7 pendant ce temps?

Et enfin, dernière crainte, l'emplacement de chaque image des articles (un peu bizarre avec des noms de dossiers comme c,l,p) sera-t-il retrouvé sans problème avec concordance des articles une fois faite la MAJ?

merci beaucoup de votre aide
très cordialement

Share this post


Link to post
Share on other sites

Bonjour,

Faites d'abord 1.4 => 1.5, puis 1.5 => 1.6

Si vous avez une sauvegarde, je vous recommande de testé la mise a jour sur celle ci. Comme ca vous saurez a quoi vous attendre avant le grand saut :)

Share this post


Link to post
Share on other sites

Bonjour,

J'ai justement tester une mise à jour 1.4.7.3 vers 1.6.0.5 sans gros problème, le site a fonctionné directement donc pas besoin de faire par étape mais ce n'est que mon avis.

 

Par contre, comme le préconise 2FR3 faites un test avant sur une copie de votre site et sur le même environnement serveur (un sous-domaine par exemple).

 

Ckarone

  • Like 2

Share this post


Link to post
Share on other sites

Bonjour,

Faites d'abord 1.4 => 1.5, puis 1.5 => 1.6

Si vous avez une sauvegarde, je vous recommande de testé la mise a jour sur celle ci. Comme ca vous saurez a quoi vous attendre avant le grand saut :)

 

n'importe quoi !!! pourquoi pas passer toutes les versions mineures une par une aussi ? pffff....

Share this post


Link to post
Share on other sites

  • 2 weeks later...
  • 2 weeks later...

Bonjour ,

 

Ckarone, tu as migré de la 1.4.7 vers la 1.6.5 avec le module 1-click upgrade ? Ou en telechargeant la nouvelle version sur le FTP et fait la mise à jour comme pur une installation neuve ?

 

Merci beaucoup pour ta réponse ;-)

Share this post


Link to post
Share on other sites

Bonjour,

 

J'ai profité de ce grand week-end pour tester la mise a jour d'un clone de mon site en prod version 1.7.0 vers la 1.6.0.6 avec le module 1-click upgrade . J'ai bien suivi la procedure qui est tres simple, la mise a jour c'est bien passée( pas d'erreur de signalée) mais probleme d'affichage.

 

Coté front, je n'ai plus les images produits,categorie, etc.. J'ai suivi le conseil indiqué a la fin de la mise a jour de regenerer celles-ci depuis preference->image et la , cela m'indique "origina image is missing or empty ( chemin de l'image mais avec un dossier dans la suite qui n'existe pas ) for product ID numero"

Coté administration, l'editeur ne s'affiche pas pour les fiches produits et je n'ai pas les graphiques des stats.

 

Pour les images, je pense qu'il suffirait de modifier le fichier dans lequel est noté le chemin mais je je sais pas lequel c'est .

Pour l'editeur, je n'ai pas d'idée sur le probleme .

 

Vous avez une idée sur ces problemes ? Merci beaucoup pour votre aide ;-)

Edited by stephforum (see edit history)

Share this post


Link to post
Share on other sites

probablement un pb de stockage des images. As-tu "déplacé" les images (préférences, images) avant de regénérer ?

Bonjour johann ,

Non, pas du tout. J'ai simplement cloné mon site puis verifié qu'il fonctionnait bien. Une fois cela confirmé, j'ai fais la mise a jour comme indiqué plus haut. Par contre, il indique un dossier en plus dans le chemin des images alors qu'il n'existe pas. Si je sais dans quel fichier le chemin absolu est indiqué, il suffirait simplement de l'editer mais pas moyen de le trouver :-(

 

C'est de ce type de chemin que je parle : (homez.numero/ dossier qui n'existe pas/ dossier qui existe/img/p/chiffre/chiffre/chiffre.jpg)

 

Dans la suite qui est entre parenthese c'est le " dossier qui n'existe pas" qui faudrait que j'enleve, il est marqué avant le dossier du repertoire maitre dans le FTP, à partir de la, je pense que cela devrait résoudre plusieurs probleme d'affichage :-)

Edited by stephforum (see edit history)

Share this post


Link to post
Share on other sites

@stephforum, j'ai effectivement utiliser le module 1-click upgrade sans aucun véritable problème.

 

Pour les modules qui ne fonctionnent pas, fais un reset du module.

 

Pour les images, je n'ai pas eu ce problème.

 

Ckarone

Edited by ckarone (see edit history)

Share this post


Link to post
Share on other sites

Même souci pour un client, je creuse cette affaire. Tout c'est bien passé sauf pour les images. J'ai désactive la réécriture d'url pour voir ou elle pointaient, et effectivement, elles vont nul part... Demain, je retente en faisant 1.4 vers 1.5 pour voir le comportement.

Share this post


Link to post
Share on other sites

Bon j'ai trouvé :) c'est tout con !

En fait, sur 1.4, on a la possibllité de deplacer les image vers la nouvelle methode, chose géré egalement en 1.5 (de memoire). Par contre la 1.6 doit consideré d'office que vous utilisez la nouvelle methode.

Donc avant la mise a jour, il faut simplement deplacer les images vers la nouvelle methode via l'onglet image, tout y est expliqué.

Apres mise ajour comme vous l'avez deja fait et bingo, les images sont bien la :)

  • Like 1

Share this post


Link to post
Share on other sites

  • 4 weeks later...

J'ai actuellement la version 1.4.8 et j'aimerai passer à la version suivante.

J'ai installé 1-click upgrade. J'ai tous les V en verts. Mais quand je veux sauvegarder le canal choisi, il m'indique ceci :

 

"Impossible de sauver la configuration"
et il ne m'affiche rien dans "Dernière version sur le canal officiel de mise à jour" 

 

Et j'ai bien choisi "canal mineur".

 

Et voici ce qu'il m'indique "comparaison de version" :

 

Comparaison des versions

version non modifiée de PrestaShop:
warning.gif 2209 modifications de fichiers ont été détectées, dont 1665 fichiers natifs (coeur et module) Afficher / masquer la liste

Différences entre les versions:
warning.gif Unable to generate diff file list between 1.4.8.2 and .

 

 

Que dois-je faire pour arriver à faire ma mise à jour ? SVP, c'est urgent !

Merci d'avance

Share this post


Link to post
Share on other sites

J'ai actuellement la version 1.4.8 et j'aimerai passer à la version suivante.

J'ai installé 1-click upgrade. J'ai tous les V en verts. Mais quand je veux sauvegarder le canal choisi, il m'indique ceci :

 

"Impossible de sauver la configuration"

et il ne m'affiche rien dans "Dernière version sur le canal officiel de mise à jour" 

 

Et j'ai bien choisi "canal mineur".

 

Et voici ce qu'il m'indique "comparaison de version" :

 

Comparaison des versions

version non modifiée de PrestaShop:

warning.gif 2209 modifications de fichiers ont été détectées, dont 1665 fichiers natifs (coeur et module) Afficher / masquer la liste

 

Différences entre les versions:

warning.gif Unable to generate diff file list between 1.4.8.2 and .

 

 

Que dois-je faire pour arriver à faire ma mise à jour ? SVP, c'est urgent !

Merci d'avance

J ai essayé de passer directement del a 1.4.9 à la 1.6.0 et j ai des erreurs dans le FO donc je souhaiterai assurer en migrant d abord en 1.5. Mais....

comment selectionner la derniere version 1.5 alors que Maj 1 click ne propose que la 1.6 ou la dernière version 1.4 (je suis en 1.4.9)

Merci de votre reponse

Share this post


Link to post
Share on other sites

  • 2 weeks later...

Bonjour,

 

Il faut telecharger la version 1.5 et dans le menu plus d'option choisir archive local et placer les fichiers PS1.5 à l'endroit indiqué.

 

Perso je viens de passer de 1.4.11 vers 1.6.0.6 sans problème ormis le fait que le module Cloudcache crachais mon front office. Celà venait d'un defaut du module qui se désinstalle mal.

Share this post


Link to post
Share on other sites

Bonjour,

 

Il faut telecharger la version 1.5 et dans le menu plus d'option choisir archive local et placer les fichiers PS1.5 à l'endroit indiqué.

 

Perso je viens de passer de 1.4.11 vers 1.6.0.6 sans problème ormis le fait que le module Cloudcache crachais mon front office. Celà venait d'un defaut du module qui se désinstalle mal.

T'es finalement Supercool :)

Share this post


Link to post
Share on other sites

Bonjour,

Je dispose d'une boutique en version 1.5.6.2 et j'aurais voulu la mettre à jour sur la 1.6 stable.
Le hic c'est que j'utilisais toujours le module "1-click upgrade" (qui est à jour) mais celui ci me détecte comme dernière version disponible la 1.5.6.2 :(

 

Je ne peux pas faire la mise à jour 1.6, via ce module ???

 

merci

 

EDIT : le matin est difficile... trop de précipitation et je n'ai pas vu qu'il fallait aller dans les options.
Désolé pour le dérangement :-P

Edited by Neogamer67 (see edit history)

Share this post


Link to post
Share on other sites

  • 5 months later...

Bonjour à tous,

je fai remonter ce sujet car je n'ai pas trouvé d'infos ailleurs...

J'ai fais un 1-click upgrade de 1.4 à 1.6 hier. A première vue, pas de soucis...

En front, le site présentant des defauts de modules, me suis dis que je devais surement les reinstaller en back.

En back, impossible d'acceder à l'onglet Modules, l'erreur suivante s'affiche :

 

[PrestaShop] Fatal error in module menutoplinks.class:
Cannot redeclare class MenuTopLinks

 

Allez savoir comment j'en ai eu l'idée, sur le ftp, j'ai renommé le dossier "modules" par "Modules" (avec un M majuscule donc) et là, ho ? j'ai accès aux modules !

 

L'histoire aurait pu s'arreter là mais non...

J'ai donc bien accès aux modules mais dès lors que je souhaites les installer, "en cliquant sur installer donc", quelque soit le module j'ai cette erreur :

 

Impossible de mettre à jour le module ###### : erreur lors du téléchargement de la dernière version.

Au secours donc !

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...

Important Information

Cookies ensure the smooth running of our services. Using these, you accept the use of cookies. Learn More